
#ifndef DECUTF8_H_INCLUDED
#define DECUTF8_H_INCLUDED 1

#include <dk.h>
#include <dkproto.h>
#include <dkmem.h>
#include <dkenc.h>

/**	Decoder object.
*/
typedef struct _dk_utf8_decode_t_ {
	char	*buffer;	/**< Output buffer. */
	size_t	bufsz;		/**< Size of the buffer. */
	unsigned char f_error;	/**< Flag: Error. */
} dk_utf8_decode_t;

typedef dk_utf8_decode_t *DKrause__DecodeUTF8;

#ifdef __cplusplus
extern "C" {
#endif

dk_utf8_decode_t *
decutf8_new DK_PR((void));

void
decutf8_delete DK_PR((dk_utf8_decode_t *dp));

int
decutf8_get_error DK_PR((dk_utf8_decode_t *dp));

void
decutr8_reset_error DK_PR((dk_utf8_decode_t *dp));

char *
decutf8_decode DK_PR((dk_utf8_decode_t *dp, char *s));


#ifdef __cplusplus
}
#endif

#endif

